RK-J - Feature #1756

[ads1] Add Subject to meta description
10/17/2021 01:18 PM - Ram Kordale

Status: Closed Start date: 11/12/2021
Priority: Normal Due date: 11/12/2021
Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 2.00 hours
Target version: 1-RK-J-1 Spent time: 12.00 hours
Description

Today, meta description has "Annotated, easy to read doc: <heading> (<comma separated subsections>) in <subject> <book> >
<section hierarchy>"

In order to give better information to the search and ad crawlers, please change it to:

Annotated, easy to learn <subject>: "<heading>" in "<section hierarchy>"

History

#1 - 10/19/2021 10:52 AM - Ayush Khandelwal

- Due date set to 10/19/2021

- Assignee changed from Ayush Khandelwal to Rishabh Sharma
- Estimated time set to 1.00 h

#2 - 10/19/2021 10:55 AM - Rishabh Sharma

- Status changed from New to In Progress

#3 - 10/19/2021 01:20 PM - Rishabh Sharma
- Assignee changed from Rishabh Sharma to Ayush Khandelwal

#4 - 10/25/2021 05:23 AM - Ayush Khandelwal
- Tracker changed from Feature to Task

- Status changed from In Progress to New

#5 - 10/25/2021 05:23 AM - Ayush Khandelwal

- Tracker changed from Task to Feature

- Due date changed from 10/19/2021 to 10/29/2021
- Estimated time deleted (1.00 h)

#6 - 10/28/2021 02:17 PM - Ayush Khandelwal
- File Screenshot from 2021-10-28 19-46-18.png added

Changes in the response from the API:(attach the screenshot)

URL: https://edutestga.appspot.com/admin/content/api/vi/books
Response:

"indexName": "ga-rk-python-3-tutorial-prd",
"bookName": "Python 3: Tutorial-PL-2021-10-08 17:00:00.99999-SPL",
"baseUrl": "10014/prd/3/tutorial/",
"bookId": "09696009-9902-4ble-8a7f-29f5069%e2561",
"subject": "Python 3"
}y
{
"indexName": "ga-rs-pandas-development",
"bookName": "Pandas: Development",
"baseUrl": "10066/pk20oct21/docs/development/",
https://edutestqa.appspot.com/admin/content/api/v1/books

"bookId": "2cf64b14-683f-4926-ab88-491927£98199",

"subject": "Pandas"

}I

{
"indexName": "ga-ak-spacy_api",
"bookName": "Spacy: API_with_replace_class",
"baseUrl": "1231/test/api/",
"bookId": "495d4abd-64fe-4b86-83f1-85c9f5a5a43e",
"subject": "Spacy"

}I

{
"indexName": "prod-rk-python-3-fags",
"bookName": "Python 3: FAQs",
"baseUrl": "10018/prd/3/faq/",
"bookId": "4d264c30-cfe7-49b4-ba24-4694b7235£99",
"subject": "Python 3"

by

{
"indexName": "ga-vb26082021-c-api-reference",
"bookName": "Python 3: C API Reference",
"baseUrl": "10017/prd/3/c-api/",
"bookId": "5cObf3bl-6f5e-4a22-a3fd-b63becd01ld62",
"subject": "Python 3"

}I

{
"indexName": "ga-rk-python-3-library-reference-prd",
"bookName": "Python 3: Library Reference",
"baseUrl": "10015/prd/3/library/",
"bookId": "5£88193d-acb4-4a0b-bbf4-0b1103a94e88",
"subject": "Python 3"

}I

{
"indexName": "ga-ak-ticket_1558",
"bookName": "ticket: 1057",
"baseUrl": "1057/test/3.9/howto/",
"bookId": "6444c06f-e901-4402-b5dd-ef46£3216ebe",
"subject": "ticket"

}y

{
"indexName": "ga-rk-python-3-howtos-prd",
"bookName": "Python 3: HOWTOs",
"baseUrl": "10033/prd/3/howto/",
"bookId": "6d913d6£f-0a8b-4993-af6e-0cbb47e6c526",
"subject": "Python 3"

}I

{
"indexName": "prod-rk-python-3-book-whirlwind-tour-prd",
"bookName": "Python 3 Book: Whirlwind Tour",
"baseUrl": "10054/prd/WhirlwindTourOfPython/",
"bookId": "810b8fae-25b5-4f2b-9cd9-8fc53214dd4a",
"subject": "Python 3 Book"

}I

{
"indexName": "ga-rk-python-3-tutotrial-prd",
"bookName": "Python 3: Tutorial",
"baseUrl": "10014/prd/3/tutorial/",
"bookId": "a77e2200-0695-45b8-ble8-da3al0d67£241",
"subject": "Python 3"

by

{
"indexName": "ga-sv23082021-extending-embedding",
"bookName": "Python 3: Extending & Embedding",
"baseUrl": "10061/prd/3/extending/",
"bookId": "adb354bc-1a00-4008-93cl1-294£f48bcel055",
"subject": "Python 3"

}I

{
"indexName": "ga-sv23082021-distributing-modules",
"bookName": "Python 3: Distributing Modules",
"baseUrl": "10071/prd/3/distributing/",
"bookId": "bl788dda-9488-4086-b5eb-18883f3abf5c",
"subject": "Python 3"

}I

{
"indexName": "ga-vb01102021-setup-usage",
"bookName": "Python 3: Setup And Usage",

"baseUrl": "10016/prd/3/using/",
"bookId": "b8379el10-07d0-498a-a4df-81515b3labae",
"subject": "Python 3"

b

{
"indexName": "prod-rk-python-3-language-reference-prd",
"bookName": "Python 3: Language Reference",
"baseUrl": "10004/prd/3/reference/",
"bookId": "ccddd267-f6b2-496a-bd00-c£7d18b99485",
"subject": "Python 3"

}I

{
"indexName": "ga-rs-numpy-tutorial",
"bookName": "NumPy: tutorial",
"baseUrl": "10097/pk22oct21l/doc/stable/user/",
"bookId": "e8d7da02-8774-4b2b-b19e-b949bbff60b1l",
"subject": "NumPy"

}I

{
"indexName": "ga-vb-26082021-installing-modules",
"bookName": "Python 3: Installing Modules",
"baseUrl": "10070/prd/3/installing/",
"bookId": "fa2b74a8-483c-4ff9-a5f7-d43d3535e4fb",
"subject": "Python 3"

#7 - 10/28/2021 02:18 PM - Ayush Khandelwal

Now the subject is available with every book.

#8 - 10/28/2021 02:18 PM - Ayush Khandelwal
- Assignee changed from Ayush Khandelwal to Rishabh Sharma
- Estimated time set to 2.00 h

#9 - 11/01/2021 06:50 AM - Rishabh Sharma

- Status changed from New to In Progress

#10 - 11/08/2021 04:32 AM - Rishabh Sharma

- Status changed from In Progress to Resolved

#11 - 11/10/2021 04:43 AM - Rishabh Sharma

- Status changed from Resolved to Reopened

#12 - 11/10/2021 04:43 AM - Rishabh Sharma

- Status changed from Reopened to In Progress

#13 - 11/15/2021 08:12 AM - Rishabh Sharma

- Status changed from In Progress to Resolved

#14 - 11/15/2021 08:12 AM - Rishabh Sharma
- Status changed from Resolved to Feedback

- Assignee changed from Rishabh Sharma to Ayush Khandelwal

#15 - 11/15/2021 08:25 AM - Ram Kordale
- Description updated

#16 - 11/15/2021 08:26 AM - Ram Kordale
- Description updated

#17 - 11/15/2021 08:31 AM - Ayush Khandelwal
- Status changed from Feedback to Reopened
- Assignee changed from Ayush Khandelwal to Rishabh Sharma
Do the changes mentioned in the description

#18 - 11/15/2021 08:31 AM - Rishabh Sharma

- Status changed from Reopened to In Progress

#19 - 11/15/2021 08:43 AM - Rishabh Sharma

- Status changed from In Progress to Resolved

#20 - 11/15/2021 10:44 AM - Rishabh Sharma
- Status changed from Resolved to Feedback

- Assignee changed from Rishabh Sharma to Ayush Khandelwal

#21 - 02/07/2022 07:29 AM - Ayush Khandelwal

- Assignee changed from Ayush Khandelwal to Ram Kordale

Working as expected

#22 - 02/08/2022 02:35 PM - Ram Kordale
- Status changed from Feedback to Closed

Files
Screenshot from 2021-10-28 19-46-18.png 149 KB 10/28/2021 Ayush Khandelwal
